Subject: Re: [bitcoin-dev] A summary list of all concerns related to not rising the block size

From: Jorge Timón <[email-masked]>
Date: Sat, 15 Aug 2015 00:57:18 +0200

On Thu, Aug 13, 2015 at 11:52 AM, Ashley Holman via bitcoin-dev
<[email-masked]> wrote:
> A concern I have is about security (hash rate) as a function of block size.
>
> I am assuming that hash rate is correlated with revenue from mining.
>
> Total revenue from fees as a function of block size should be a curve.  On
> one extreme of the curve, if blocks are too big, fee revenue tends towards 0
> as there is no competition for block space.  At the other extreme, if blocks
> are too small, fee revenue is limited only to what the most valuable use
> case(s) can afford.  Somewhere in the middle there should be a sweet spot
> where fee revenue is maximised.  It's not a static curve though, it should
> change as demand for block space changes.
>
> Failing to scale the block size as demand grows might be forfeiting
> potential miner revenue and hence security.
>
> (I don't think that should be a primary concern though since
> decentralisation should come first, but I'm just pointing it out as a
> secondary concern).

I believe your concerns are included in:

1) Potential indirect consequence of rising fees.
[...]
1.4) Less users than we could have had with a bigger size
1.4.2) Not enough fees when subsidy is lower